CVE-2018-15797: NFS volume release errand leaks CF admin credentials in logs


Share

CVE-2018-15797: NFS volume release errand leaks CF admin credentials in logs

Severity

High

Vendor

Cloud Foundry Foundation

Affected Cloud Foundry Products and Versions

  • NFS volume release
    • 1.2.x prior to 1.2.5
    • 1.5.x prior to 1.5.4
    • 1.7.x prior to 1.7.3

Description

Cloud Foundry NFS volume release, 1.2.x prior to 1.2.5, 1.5.x prior to 1.5.4, 1.7.x prior to 1.7.3, logs the cf admin username and password when running the nfsbrokerpush BOSH deploy errand. A remote authenticated user with access to BOSH can obtain the admin credentials for the Cloud Foundry Platform through the logs of the NFS volume deploy errand.

Mitigation

Users of affected versions should apply the following mitigations or upgrades:

    • NFS volume release versions 1.2.5, 1.5.4, 1.7.3

History

2018-12-03: Initial vulnerability report published.

Cloud Foundry Foundation Security Team Profile Image

Cloud Foundry Foundation Security Team, AUTHOR

SEE ALL ARTICLES